# Fn<> IsDevice
Tests if a given type is a device type.

Defined in | <seqan/basic.h>
Signature | `IsDevice<TObject>::Type;`

## Template Parameters

`TObject` | The type to be tested for being a device type.

## Return Values

`Type` | True or False.

## See Also

- Device

#### Dox Sources

    /*!
     * @mfn IsDevice
     *
     * @headerfile <seqan/basic.h>
     *
     * @brief Tests if a given type is a device type.
     *
     * @signature IsDevice<TObject>::Type;
     *
     * @tparam TObject The type to be tested for being a device type.
     *
     * @return Type @link LogicalValuesTags#True @endlink or @link
     *              LogicalValuesTags#False @endlink.
     *
     * @see Device
     */